[csw-devel] SF.net SVN: opencsw:[303] utilities/mk_core_list.sh
wahwah at users.sourceforge.net
wahwah at users.sourceforge.net
Mon Feb 21 01:50:19 CET 2011
Revision: 303
http://opencsw.svn.sourceforge.net/opencsw/?rev=303&view=rev
Author: wahwah
Date: 2011-02-21 00:50:19 +0000 (Mon, 21 Feb 2011)
Log Message:
-----------
mk_core_list.sh: A utility to create a list of packages for the core catalog.
People are welcome to add their packages.
Added Paths:
-----------
utilities/mk_core_list.sh
Added: utilities/mk_core_list.sh
===================================================================
--- utilities/mk_core_list.sh (rev 0)
+++ utilities/mk_core_list.sh 2011-02-21 00:50:19 UTC (rev 303)
@@ -0,0 +1,51 @@
+#!/bin/bash
+
+# $Id$
+#
+# This script helps creating a list of core packages, by starting with
+# specific packages and adding all their dependencies.
+
+set -u
+set -e
+
+# The current idea is to keep the list divided by sections, each section
+# sorted alphabetically.
+core_start_pkgs=(
+ # Servers
+ apache2
+ # Interpreters
+ perl
+ python
+ ruby
+ # Editors
+ vim
+ emacs
+ # Userland
+ coreutils
+ elinks
+ findutils
+ gawk
+ gfile
+ ggrep
+ gsed
+ gtar
+ mc
+ rsync
+ screen
+ sudo
+ wget
+)
+outfile="core.txt"
+rm -f "${outfile}" tmp
+
+for catalogname in "${core_start_pkgs[@]}"; do
+ pkgutil -d --parse --config ~/pkgutil.conf \
+ -W "${HOME}/.pkgutil" \
+ "${catalogname}" \
+ | awk '{print $1}' \
+ >> "${outfile}"
+done
+
+< "${outfile}" sort | uniq > tmp
+mv tmp "${outfile}"
+less "${outfile}"
Property changes on: utilities/mk_core_list.sh
___________________________________________________________________
Added: svn:keywords
+ Id
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
More information about the devel
mailing list